%global pname     vnsiserver
%global git_hash  04258ed894
%global checkout  20130104git%{git_hash}
%global plugindir %(vdr-config --plugindir  2>/dev/null || echo ERROR)
%global apiver    %(vdr-config --apiversion 2>/dev/null || echo ERROR)
%global configdir %(vdr-config --configdir  2>/dev/null || echo ERROR)

Name:           vdr-%{pname}
Version:        0.9.0
Release:        0.2.%{checkout}%{?dist}
Summary:        VDR plugin to handle XBMC clients via VNSI

Group:          Applications/Multimedia
License:        GPLv2
URL:            https://github.com/opdenkamp/xbmc-pvr-addons

# Download with:
#   git clone https://github.com/opdenkamp/xbmc-pvr-addons.git
#   cd xbmc-pvr-addons
#   git checkout ${git_hash}
#   cd addons/pvr.vdr.vnsi
#   tar cfJ vdr-plugin-vnsiserver-${checkout}.tar.xz vdr-plugin-vnsiserver
Source:         vdr-plugin-vnsiserver-%{checkout}.tar.xz

Requires:       vdr(abi)%{?_isa} = %{apiver}

BuildRequires:  vdr-devel >= 1.5.9

%description
VDR plugin to handle XBMC clients. It is needed to use XBMC as a frontend and
VDR as a backend. With the plugin it is possible to get TV and PVR
functionality from a VDR into a XBMC. It is able to handle several XBMC
clients connecting via the VNSI addon.

VNSI supports also dynamic PID switching of the received DVB-TS
stream. Further it detect and demuxing several not by VDR implemented audio
streams, this are:
  - Enhanced AC3 (not tested)
  - Advanced Audio Coding (AAC) (not tested)
  - DTS (demuxer not finished now, and does not work)

%prep
%setup -q -n vdr-plugin-vnsiserver

%build
make %{?_smp_mflags} CFLAGS="-g -fPIC -Werror=overloaded-virtual -Wno-parentheses %optflags" CXXFLAGS="-g -fPIC -Werror=overloaded-virtual -Wno-parentheses %{optflags}" LIBDIR=. VDRDIR=%{_libdir}/vdr LOCALEDIR=$PWD/locale all

%install
install -dm 755 $RPM_BUILD_ROOT%{plugindir}
install -dm 755 $RPM_BUILD_ROOT%{configdir}/plugins/%{pname}
install -pm 755 libvdr-%{pname}.so.%{apiver} $RPM_BUILD_ROOT%{plugindir}
install -Dpm 644 %{pname}/* $RPM_BUILD_ROOT%{configdir}/plugins/%{pname}/

%files
%doc COPYING 
%doc HISTORY
%doc README

%dir %{configdir}/plugins/%{pname}
%config(noreplace) %{configdir}/plugins/%{pname}/*
%{vdr_plugindir}/libvdr-%{pname}.so.%{apiver}

%changelog

* Fri Jan 04 2013 Dr. Tilmann Bubeck <t.bubeck@reinform.de> - 0.9.0-0.2.20130104git04258ed894
- updated to git hash 04258ed894
- cleaned up specfile according to
  https://bugzilla.redhat.com/show_bug.cgi?id=887611#c2
  - introduced optflags
  - removed BuildRoot.
  - Used "global" instead of "define"

* Mon Dec 17 2012 Dr. Tilmann Bubeck <t.bubeck@reinform.de> - 0.9.0-0.1.20121216git14a1fe5c58
- bumped up version number to 0.9.0 which is found in vnsi.h and used by
  Makefile.
- cleaned up specfile according to
  https://bugzilla.redhat.com/show_bug.cgi?id=887611#c2
- reduced "vdr-plugin-vnsiserver-{checkout}.tar.xz" to contain only the
  needed files for this plugin. See comments above Source for instructions.

* Sat Dec 15 2012 Dr. Tilmann Bubeck <t.bubeck@reinform.de> - 0.0.1-1
- initial built for Fedora

